MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Functions

# src/locate.h File Reference

`#include <stdint.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Data Structures
struct | locate_item
struct | locate_item_list
| An array of struct locate_item objects. More...
## Defines
#define | LOCATE_TAG_FILE_TYPE TAG_NUM_OF_ITEM_TYPES+10
#define | LOCATE_TAG_ANY_TYPE TAG_NUM_OF_ITEM_TYPES+20
## Functions
int | locate_parse_type (const char *str)
struct locate_item * | locate_item_new (const char *type_string, const char *needle)
struct locate_item_list * | locate_item_list_new (unsigned length)
| Allocates a new struct locate_item_list, and initializes all members with zero bytes.
struct locate_item_list * | locate_item_list_parse (char *argv[], int argc)
struct locate_item_list * | locate_item_list_casefold (const struct locate_item_list *list)
| Duplicate the struct locate_item_list object and convert all needles with g_utf8_casefold().
void | locate_item_list_free (struct locate_item_list *list)
void | locate_item_free (struct locate_item *item)
bool | locate_song_search (const struct song *song, const struct locate_item_list *criteria)
bool | locate_song_match (const struct song *song, const struct locate_item_list *criteria)

## Define Documentation

#define LOCATE_TAG_ANY_TYPE TAG_NUM_OF_ITEM_TYPES+20

Definition at line 27 of file locate.h.

#define LOCATE_TAG_FILE_TYPE TAG_NUM_OF_ITEM_TYPES+10

Definition at line 26 of file locate.h.

## Function Documentation

void locate_item_free | ( | struct locate_item * | item | ) |

struct locate_item_list* locate_item_list_casefold | ( | const struct locate_item_list * | list | ) | `[read]`

Duplicate the struct locate_item_list object and convert all needles with g_utf8_casefold().

void locate_item_list_free | ( | struct locate_item_list * | list | ) |

struct locate_item_list* locate_item_list_new | ( | unsigned | length | ) | `[read]`

Allocates a new struct locate_item_list, and initializes all members with zero bytes.

struct locate_item_list* locate_item_list_parse | ( | char * | argv[],
|  | int | argc
| ) |  | `[read]`

struct locate_item* locate_item_new | ( | const char * | type_string,
|  | const char * | needle
| ) |  | `[read]`

int locate_parse_type | ( | const char * | str | ) |

bool locate_song_match | ( | const struct song * | song,
|  | const struct locate_item_list * | criteria
| ) |  |

bool locate_song_search | ( | const struct song * | song,
|  | const struct locate_item_list * | criteria
| ) |  |